<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF 2019-2020 Portfolio Temaplate</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="plugins/counto/animate.css">
  <link rel="stylesheet" href="plugins/aos/aos.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">

</head>

<body>

<!-- Navigation Start -->
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="index.html">
	  	<img src="pangea.png" height="150" width="150" alt="" class="img-fluid">
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

		  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">
			  <li class="nav-item  active"><a class="nav-link" href="index.html">Return</a></li>
			</ul>
		</div>
	</div>
</nav>

<!-- Header Close -->



<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Arduino kit</h1>
        </div>
      </div>
    </div>
  </div>
</section>



		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
					<h3 class="mb-4">Embedded programming</h3>
          <div>
					<p>How to use Arduino Board

The 14 digital input/output pins can be used as input or output pins by using pinMode(), digitalRead() and digitalWrite() functions in arduino programming. Each pin operate at 5V and can provide or receive a maximum of 40mA current, and has an internal pull-up resistor of 20-50 KOhms which are disconnected by default. Out of these 14 pins, some pins have specific functions as listed below: Serial Pins 0 (Rx) and 1 (Tx): Rx and Tx pins are used to receive and transmit TTL serial data. They are connected with the corresponding ATmega328P USB to TTL serial chip. External Interrupt Pins 2 and 3: These pins can be configured to trigger an interrupt on a low value, a rising or falling edge, or a change in value. PWM Pins 3, 5, 6, 9 and 11: These pins provide an 8-bit PWM output by using analogWrite() function.
SPI Pins 10 (SS), 11 (MOSI), 12 (MISO) and 13 (SCK): These pins are used for SPI communication. In-built LED Pin 13: This pin is connected with an built-in LED, when pin 13 is HIGH – LED is on and when pin 13 is LOW, its off. Along with 14 Digital pins, there are 6 analog input pins, each of which provide 10 bits of resolution, i.e. 1024 different values. They measure from 0 to 5 volts but this limit can be increased by using AREF pin with analog Reference() function. Analog pin 4 (SDA) and pin 5 (SCA) also used for TWI communication using Wire library. Arduino Uno has a couple of other pins as explained below:
<div>
AREF: Used to provide reference voltage for analog inputs with analogReference() function.

Reset Pin: Making this pin LOW, resets the microcontroller.

                <div>
                <div>
                <div>
                <p>ESP32-WROOM-32 could be a capable, bland Wi-Fi+BT+BLE MCU module that targets a wide assortment of applications, ranging from low-power sensor systems to the foremost requesting assignments, such as voice encoding, music streaming and MP3 decoding.</p>
                <div>

                </div>
                <div class="my-5">
                <img src="embe.png" alt="" class="img-fluid w-100">
                </div>

                <p>The ESP32-D0WDQ6 chip * is at the heart of that mod 122ule. The embedded chip is designed to be flexible and adaptive. There are two CPU cores which can be operated individually, and the frequency of the CPU clock is adjustable from 80 MHz to 240 MHz. The consumer can also switch off the CPU and use the low-power co-processor to control the peripherals constantly for threshold adjustments or crossing. ESP32 incorporates a rich range of peripherals, including capacitive touch sensors, hall sensors, SD card interface, Ethernet, high-speed SPI, UART, I2S, and I2C sensors.

                </div>
                <div class="my-5">
                <img src="embed.png" alt="" class="img-fluid w-100">
                </div>

                <p>ESP32 is a single Wi-Fi-and-Bluetooth 2.4 GHz combo chip equipped with the 40 nm TSMC ultra-low power technology. It is designed to achieve the best performance in power and RF, demonstrating robustness, flexibility and reliability in a wide variety of applications and control scenarios. ESP32 is a fully optimized system with about 20 external modules for Wi-Fi-and-Bluetooth IoT applications. ESP32 incorporates components such as an antenna switch, RF balun, power amplifier, low-noise receiving amplifier, filters, and power control. As such, the full solution occupies a small region of the Printed Circuit Board ( PCB).

                </div>
                <div class="my-5">
                <img src="embedd.png" alt="" class="img-fluid w-100">
                </div>

                <p>The operating system chosen for ESP32 is freeRTOS with LwIP; the hardware-accelerated TLS 1.2 is also built in. Stable (encrypted) over-the-air (OTA) update is also enabled, so users can update their products at reduced cost and effort, even after release.

                <div>
                <p>Before starting with the exercise we are first going to warm up by makking a LED blink. Just so everything comes back in memory. Digital write blink.
                </div>
                <div class="my-5">
                <img src="arduino1.jpg" alt="" class="img-fluid w-100">
                </div>

                <p>For the Digital write example i wanted to make an LED blink with millis. For help with this example we found this code online and used it as guidelines. After openinig the file reading it and understanding how it works, i made some changes on the code to program it the way i wanted.


                </div>
                <div class="my-5">
                <img src="arduino4.jpg" alt="" class="img-fluid w-100">
                </div>

                <p>1.Install WinAVR 20100110 through their website and launch it.
                  <div>
                    <p>2.
                    Open the folder and find the folder bin. Inside bin delete two files: avrdude.conf and avrdude.
                    I personally have the older places in the C:\\ folder
                    <div>
                      <p>3.
                      Replace the deleted folders with the newer version of them. Version 6.3 2016. *will be provided here*
                      4.
                      <div>
                        <p>4.
                        In control panel > systems > advanced system settings > environmental variables > path > edit > new > browse > find the file location and add the bin folder
                        <div>
                          <p>5.
                          Connect the AVR MKII programmer to your computer and to the board
                          <div>
                            <p>6.
                            Install Zadig and launch it
                            <div>
                              <p>7.
                              Once launched and the programmer is > select "libsub-win32 (v1.2.6.0)" > replace driver
                              <div>
                                <p>8.
                                  Download the firmware source code from the tutorial mentioned earlier *link will be uploaded soon*
                                  <div>
                                    <p>9.
                                    Open Git Bash > navigate to folder "cd <>"
                                    <div>
                                      <p>10.
                                      Type "make -v" > click enter > you should see the version of the software
                                      <div>

                                      <p>FILES<p>
                                      <a href="Two_Lights.ino.zip">Blink</a>
                                      <div>





                 <div>

                 <div>


				<div class="row mt-4">
					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Student</h5>
							<p>Tommaso Salini</p>
						</div>

						<div class="info">
							<h5 class="mb-0">Year</h5>
							<p>2019</p>
						</div>
					</div>

					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Category</h5>
							<p>Introductory studio</p>
						</div>
						<div class="info">
							<h5>Share</h5>
							<a href="#"><i class="ti-facebook"></i></a>
							<a href="#"><i class="ti-twitter"></i></a>
							<a href="#"><i class="ti-pinterest"></i></a>
							<a href="#"><i class="ti-dribbble"></i></a>
						</div>
					</div>
				</div>

				<div class="mt-5">
					<a href="portfolio-single2.html" class="btn btn-dark">Previous Work</a>
					<a href="portfolio-single4.html" class="btn btn-dark">Next Work</a>
				</div>
			</div>
		</div>
	</div>
</section>


<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.facebook.com/themefisher" target="_blank"><i class="ti-facebook mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://twitter.com/themefisher" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://github.com/themefisher/" target="_blank"><i class="ti-github mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.pinterest.com/themefisher/" target="_blank"><i class="ti-pinterest mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://dribbble.com/themefisher/" target="_blank"><i class="ti-dribbble mr-3"></i></a></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
